/*
 * Copyright (c) 1983 Eric P. Allman
 * Copyright (c) 1988, 1993
 *	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#ifndef lint
static char Wsccsid[] = "@(#)version.c	2.4.2 (motonori/WIDE) 4/20/94";
static char sccsid[] = "@(#)version.c	8.6.12.1 (Berkeley) 3/28/95";
#endif /* not lint */

char	Version[] = "8.6.12+2.4W";
#if NAMED_BIND
char	WVersion[] = "@(#)sendmail.mx 8.6.12+2.4W2 %VERSION%";
#else
char	WVersion[] = "@(#)sendmail.nomx 8.6.12+2.4W2 %VERSION%";
#endif
char	WhoAndWhere[] = "@(#)%WHOANDWHERE%";


#include "sendmail.h"
#if COMPILEOPTIONS
/*
**  Compile Options
*/

char	*CompileOptions[] = {
	"Compile options:",
# if ADJUST_TZ
	"[ADJUST_TZ]",
# endif
# if ALL_HASH_CMNT
	"[ALL_HASH_CMNT]",
# endif
# if ANOTHER_MXPB
	"[ANOTHER_MXBP]",
# endif
# if AUTH_LOG
	"[AUTH_LOG]",
# endif
# if BROKEN_LISTEN
	"[BROKEN_LISTEN]",
# endif
# ifdef BROKENSMTPPEERS
	"[BROKENSMTPPEERS]",
# endif
# if CANON_MX_CNTL
	"[CANON_MX_CNTL]",
# endif
# if CANON_OTHER
	"[CANON_OTHER]",
# endif
# if ESMTPPEERSCLS
	"[ESMTPPEERSCLS]",
# endif
# if EXTEND_CLASS
	"[EXTEND_CLASS]",
# endif
# if EXTEND_MACRO
	"[EXTEND_MACRO]",
# endif
# if FILEMACRO
	"[FILEMACRO]",
# endif
# if HASFLOCK
	"[HASFLOCK]",
# endif
# ifdef HASGETDTABLESIZE
	"[HASGETDTABLESIZE]",
# endif
# if HASGETUSERSHELL
	"[HASGETUSERSHELL]",
# endif
# ifdef HASINITGROUPS
	"[HASINITGROUPS]",
# endif
# ifdef HASLSTAT
	"[HASLSTAT]",
# endif
# ifdef HASSETREUID
	"[HASSETREUID]",
# endif
# ifdef HASSETSID
	"[HASSETSID]",
# endif
# ifdef HASSETVBUF
	"[HASSETVBUF]",
# endif
# ifdef HASUNAME
	"[HASUNAME]",
# endif
# ifdef HASUNSETENV
	"[HASUNSETENV]",
# endif
# ifdef HASWAITPID
	"[HASWAITPID]",
# endif
# if IDENTPEERSCLS
	"[IDENTPEERSCLS]",
# endif
# if IDENTPROTO
	"[IDENTPROTO]",
# endif
# if LHS_CHECK_CNTL
	"[LHS_CHECK_CNTL]",
# endif
# ifdef LOG
	"[LOG]",
# endif
# if LOGWVERSION
	"[LOGWVERSION]",
# endif
# ifdef MATCHGECOS
	"[MATCHGECOS]",
# endif
# ifdef MIME
	"[MIME]",
# endif
# if MULTI_MAILER
	"[MULTI_MAILER]",
# endif
# if MX_SAFETY
	"[MX_SAFETY]",
# endif
# ifdef NAMED_BIND
	"[NAMED_BIND]",
# endif
# ifdef NDBM
	"[NDBM]",
# endif
# ifdef NEEDFSYNC
	"[NEEDFSYNC]",
# endif
# ifdef NEEDGETOPT
	"[NEEDGETOPT]",
# endif
# ifdef NEEDSTRTOL
	"[NEEDSTRTOL]",
# endif
# ifdef NEEDVPRINTF
	"[NEEDVPRINTF]",
# endif
# ifdef NETINET
	"[NETINET]",
# endif
# ifdef NETISO
	"[NETISO]",
# endif
# ifdef NETNS
	"[NETNS]",
# endif
# ifdef NETUNIX
	"[NETUNIX]",
# endif
# ifdef NETX25
	"[NETX25]",
# endif
# ifdef NEWDB
	"[NEWDB]",
# endif
# ifdef NIS
	"[NIS]",
# endif
# if NO_ALIAS_ON_REBUILD
	"[NO_ALIAS_ON_REBUILD]",
# endif
# ifdef NOLOOPBACKCHECK
	"[NOLOOPBACKCHECK]",
# endif
# if NOTUNIX
	"[NOTUNIX]",
# endif
# ifdef OLD_NEWDB
	"[OLD_NEWDB]",
# endif
# if QUICK_RESPONSE
	"[QUICK_RESPONSE]",
# endif
# if RCPT_NEXT
	"[RCPT_NEXT]",
# endif
# ifdef RCPTSTREAM
	"[RCPTSTREAM]",
# endif
# ifdef SCANF
	"[SCANF]",
# endif
# ifdef SETPROCTITLE
	"[SETPROCTITLE]",
# endif
# if SHOW_MX_HOSTS
	"[SHOW_MX_HOSTS]",
# endif
# ifdef SMTPDEBUG
	"[SMTPDEBUG]",
# endif
# ifdef SUID_ROOT_FILES_OK
	"[SUID_ROOT_FILES_OK]",
# endif
# ifdef TRUST_POPEN
	"[TRUST_POPEN]",
# endif
# ifdef UGLYUUCP
	"[UGLYUUCP]",
# endif
# ifdef USERDB
	"[USERDB]",
# endif
# ifdef XDEBUG
	"[XDEBUG]",
# endif
# ifdef XLA
	"[XLA]",
# endif
	0
};
#endif /* COMPILEOPTIONS */
